/*
 * ====================================================================
 *
 * MIT License
 * 
 * Copyright (c) [2022] 
 * [Jan Grossniklaus, Jan Kunert, Sascha Hildebrands, Kevin Hinrichs]
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy, 
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * urnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall
 * be included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 * ====================================================================
 */

#ifndef TM4C123GXL_INI_H_
#define TM4C123GXL_INI_H_

//*********************************************************************
//
// Prototypes
//
//*********************************************************************
extern void init_SYS_CLOCK();
extern void init_FPU();

extern void init_GPIO_CLOCK_A();
extern void init_GPIO_CLOCK_B();
extern void init_GPIO_CLOCK_C();
extern void init_GPIO_CLOCK_D();
extern void init_GPIO_CLOCK_E();
extern void init_GPIO_CLOCK_F();

extern void init_uDMA_TRIGGER_0();
extern void init_uDMA_TRIGGER_1();
extern void init_uDMA_TRIGGER_2();
extern void init_uDMA_TRIGGER_3();

extern void init_TIMER_0();
extern void init_TIMER_1();
extern void init_TIMER_2();
extern void init_TIMER_3();

extern void init_WTIMER_5();

extern void init_uDMA();
extern void init_uDMA_LED0();
extern void init_uDMA_LED1();
extern void init_uDMA_LED2();
extern void init_uDMA_LED3();

extern void init_GPIO_DEBUG();

extern void init_hardware();

#endif //TM4C123GXL_INI_H_